Bug 30106

Summary: Cleanup MediaPlayer and MediaPlayerPrivateInterface to remove dead methods
Product: WebKit Reporter: Hin-Chung Lam <hclam>
Component: MediaAssignee: Eric Carlson <eric.carlson>
Status: RESOLVED FIXED    
Severity: Normal CC: eric.carlson, hausmann, ossy, vestbo
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: OS X 10.5   
Attachments:
Description Flags
Proposed patch darin: review+

Description Hin-Chung Lam 2009-10-05 21:40:49 PDT
MediaPlayer and MediaPlayerPrivateInterface has some dead methods that are unrelated to the spec:

setRate(float)
float dataRate()
setEndTime(float)

etc..

These classes need to be cleaned up to match the spec.
Comment 1 Eric Carlson 2010-01-20 16:46:18 PST
Created attachment 47077 [details]
Proposed patch
Comment 2 Eric Carlson 2010-01-21 08:21:03 PST
http://trac.webkit.org/changeset/53625
Comment 3 Csaba Osztrogon√°c 2010-01-21 10:49:50 PST
This patch broke Qt build, because it removed totalBytesKnown(), but WebCore/platform/qt/RenderThemeQt.cpp used it. totalBytesKnown() always returned false, so it was really unreachable code, but it can be useful in the future.

error message: ( http://build.webkit.org/builders/Qt%20Linux%20Release/builds/6325/steps/compile-webkit/logs/stdio )
/../../WebCore/platform/qt/RenderThemeQt.cpp:983: error: 'class WebCore::MediaPlayer' has no member named 'totalBytesKnown'
../../../WebCore/platform/qt/RenderThemeQt.cpp:984: error: 'class WebCore::MediaPlayer' has no member named 'totalBytes'

I committed a buildfix into http://trac.webkit.org/changeset/53632, but I'm not sure if we really want to remove this code introduced in http://trac.webkit.org/changeset/34300. Simon? Tor Arne?
Comment 4 Eric Carlson 2010-01-21 11:23:07 PST
Filed https://bugs.webkit.org/show_bug.cgi?id=33960 to restore totalBytesKnown and totalBytes methods.